This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1255924 - [abrt] glade: g_str_hash(): glade killed by SIGSEGV
[abrt] glade: g_str_hash(): glade killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: glade (Show other bugs)
22
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:612c13a165deda6dec7d4922ca8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-21 17:54 EDT by Experimenter
Modified: 2016-07-19 13:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:37:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.85 KB, text/plain)
2015-08-21 17:54 EDT, Experimenter
no flags Details
File: cgroup (177 bytes, text/plain)
2015-08-21 17:54 EDT, Experimenter
no flags Details
File: core_backtrace (21.66 KB, text/plain)
2015-08-21 17:54 EDT, Experimenter
no flags Details
File: dso_list (7.80 KB, text/plain)
2015-08-21 17:54 EDT, Experimenter
no flags Details
File: environ (1.52 KB, text/plain)
2015-08-21 17:54 EDT, Experimenter
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-21 17:54 EDT, Experimenter
no flags Details
File: maps (26.54 KB, text/plain)
2015-08-21 17:54 EDT, Experimenter
no flags Details
File: mountinfo (3.05 KB, text/plain)
2015-08-21 17:54 EDT, Experimenter
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-21 17:54 EDT, Experimenter
no flags Details
File: open_fds (1.03 KB, text/plain)
2015-08-21 17:54 EDT, Experimenter
no flags Details
File: proc_pid_status (866 bytes, text/plain)
2015-08-21 17:54 EDT, Experimenter
no flags Details
File: var_log_messages (292 bytes, text/plain)
2015-08-21 17:54 EDT, Experimenter
no flags Details

  None (edit)
Description Experimenter 2015-08-21 17:54:30 EDT
Description of problem:
hitting undo button on glade multiple times caused glade to close

Version-Release number of selected component:
glade-3.18.3-4.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /bin/glade /home/eeepc/Projects/vido/vido.glade
crash_function: g_str_hash
executable:     /usr/bin/glade
global_pid:     21025
kernel:         4.1.5-200.fc22.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_str_hash at ghash.c:1871
 #1 g_hash_table_lookup_node at ghash.c:375
 #2 g_hash_table_lookup at ghash.c:1147
 #3 gtk_action_muxer_register_observer at gtkactionmuxer.c:469
 #4 gtk_action_observable_register_observer at gtkactionobservable.c:53
 #5 gtk_action_helper_set_action_name at gtkactionhelper.c:432
 #6 object_set_property at gobject.c:1415
 #7 g_object_set_property at gobject.c:2362
 #8 glade_widget_adaptor_object_set_property at glade-widget-adaptor.c:969
 #9 glade_gtk_widget_set_property at glade-gtk-widget.c:762
Comment 1 Experimenter 2015-08-21 17:54:35 EDT
Created attachment 1065735 [details]
File: backtrace
Comment 2 Experimenter 2015-08-21 17:54:37 EDT
Created attachment 1065736 [details]
File: cgroup
Comment 3 Experimenter 2015-08-21 17:54:39 EDT
Created attachment 1065738 [details]
File: core_backtrace
Comment 4 Experimenter 2015-08-21 17:54:41 EDT
Created attachment 1065739 [details]
File: dso_list
Comment 5 Experimenter 2015-08-21 17:54:42 EDT
Created attachment 1065740 [details]
File: environ
Comment 6 Experimenter 2015-08-21 17:54:44 EDT
Created attachment 1065741 [details]
File: limits
Comment 7 Experimenter 2015-08-21 17:54:46 EDT
Created attachment 1065742 [details]
File: maps
Comment 8 Experimenter 2015-08-21 17:54:48 EDT
Created attachment 1065743 [details]
File: mountinfo
Comment 9 Experimenter 2015-08-21 17:54:50 EDT
Created attachment 1065744 [details]
File: namespaces
Comment 10 Experimenter 2015-08-21 17:54:51 EDT
Created attachment 1065745 [details]
File: open_fds
Comment 11 Experimenter 2015-08-21 17:54:53 EDT
Created attachment 1065746 [details]
File: proc_pid_status
Comment 12 Experimenter 2015-08-21 17:54:55 EDT
Created attachment 1065747 [details]
File: var_log_messages
Comment 13 Fedora End Of Life 2016-07-19 13:37:04 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.